<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Items</title>
    <style type="text/css">
        @font-face {
            font-family: 'Ubuntu Mono';
            src: url('fonts/UbuntuMono-Regular.ttf');
        }
        :root {
            --stdfont: 'Ubuntu Mono', monospace;
        }
        body {
            background: url('bg.png') #222222;
            font-family: var(--stdfont);
            color: white;
            width: 85rem;
            max-width: 100vw;
            margin: auto;
        }
        h1 {
            padding-left: 20px;
            text-shadow: 2px 2px 4px black;
        }
        td {
            padding-right: 20px;
            padding-top: 5px;
            padding-bottom: 5px;
        }
        tr:hover {
            background-color: #ffffff10;
        }
        table {
            background-color: #24241f;
            box-shadow: 0 0 6px black inset;
            margin: 20px;
            padding: 15px 0 20px 20px;
            border-radius: 10px;
        }
        a {
            color: #00ffd5;
        }
        a:visited {
            color: darkcyan;
        }
        tr.indent-1 td:first-child {
            padding-left: 10px;
            border-left: 2px solid #df1955;
        }
        tr.indent-1 td:first-child::before {
            content: '↳ ';
        }
        tr.indent-1 td:nth-child(2) {
            padding-left: 2ch;
        }
        nav {
            padding-top: 1rem;
            padding-left: .45rem;
        }
        nav a, nav span {
            margin-left: 1rem;
        }
    </style>
  </head>
  <body>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
    <h1>Services</h1>
    <table>
        <tr>
            <td><a href="https://social.isopod.cool/">social.isopod.cool</a></td>
            <td>My personal Akkoma instance. Run by me, for me. Feel free to register for an account if we know each other, though.</td>
        </tr>
        <tr>
            <td><a href="https://search.isopod.cool/">search.isopod.cool</a></td>
            <td>An instance of SearXNG, a metasearch engine that aggregates results from several other search engines.</td>
        </tr>
        <tr>
            <td><a href="https://rss-bridge.isopod.cool/">rss-bridge.isopod.cool</a></td>
            <td>An rss-bridge instance. Generates RSS feeds for websites that don't have them.</td>
        </tr>
        <tr>
            <td><a href="rssfilter.php">rssfilter.php</a></td>
            <td>A basic RSS feed filtering tool. Works on RSS and Atom feeds and can take both plain text and regex.</td>
        </tr>
        <tr>
            <td><a href="firefoxrss/feed.php">firefoxrss/</a></td>
            <td>An RSS bridge for Firefox release notes</td>
        </tr>
        <tr class="indent-1">
            <td><a href="firefoxrss/feed.php?downloadsource=yes">feed.php</a></td>
            <td>Download the source code</td>
        </tr>
        <tr>
            <td><a href="https://git.isopod.cool/">git.isopod.cool</a></td>
            <td>My personal Forgejo instance. The source code for my websites is on there.</td>
        </tr>
    </table>
    <h1>Items</h1>
    <table>
        <tr>
            <td><a href="../">../</a></td>
            <td>Go back</td>
        </tr>
        <tr>
            <td nowrap><a href="EnchantedToolsPack v1.zip">EnchantedToolsPack v1.zip</a></td>
            <td>A custom resource pack I made for Minecraft that uses the <a href="https://optifine.net/home">Optifine mod</a>'s custom texture functionality to add custom textures for enchanted tools and weapons. Works as of 1.19.</td>
        </tr>
        <tr>
            <td>../old/</td>
            <td>Previous iterations of my website</td>
        </tr>
        <tr class="indent-1">
            <td><a href="../old/1/">1</a></td>
            <td>The final form of the first iteration. Little more than a glorified link directory.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="../old/2/">2</a></td>
            <td>The final form of the second iteration. Scrapped mainly because it was too dependent on Javascript.</td>
        </tr>
        <tr>
            <td>webpkiller/</td>
            <td>Various scripts I've written to intercept .webp images on opening and replace them with a superior format, because fuck webp. Use by setting them as the default program for opening .webp files. They'll make a copy of the image converted to .png, delete the original, and open the new one in your default program. Untested with animated webp files. These are all open source, so feel free to edit and redistribute.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.sh">webpkiller.sh</a></td>
            <td>Bash script for Linux. Only works on .webp files. Requires <a href="https://imagemagick.org/">ImageMagick</a> to be installed.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.cmd">webpkiller.cmd</a></td>
            <td>Batch script for Windows. Only works on .webp files. Requires <a href="https://imagemagick.org/">ImageMagick</a> to be installed. Replaces <i>every</i> instance of ".webp" in the filepath because I couldn't figure out how to do string manipulation properly in Windows batch language, so watch out for that.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.py">webpkiller.py</a></td>
            <td>Platform-agnostic Python script. Requires <a href="https://www.python.org/">Python 3</a> and the <a href="https://python-pillow.org/">pillow</a> library to be installed. Works on any image format supported by pillow.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller_win.zip">webpkiller_win.zip</a></td>
            <td>webpkiller.py, but compiled for Windows with <a href="https://pypi.org/project/pyinstaller/">pyinstaller</a>.</td>
        </tr>
        <tr>
            <td><a href="neon_boost_times.html">neon_boost_times.html</a></td>
            <td>A table of my level times in the game Neon Boost, in case you care.</td>
        </tr>
        <tr>
            <td><a href="https://userstyles.world/style/5238/status-cafe-latte">userstyles.world/style/5238<br/>/status-cafe-latte</a></td>
            <td>Stylus theme I made for <a href="https://status.cafe/">status.cafe</a>, the site behind the little status widget on my blog.</td>
        </tr>
    </table>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
  </body>
</html>
